Mandriva Linux Security Advisory : nginx (MDVSA-2012:043)

Medium Nessus Plugin ID 58522


The remote Mandriva Linux host is missing a security update.


A vulnerability has been found and corrected in nginx :

Specially crafted backend response could result in sensitive information leak (CVE-2012-1180).

The updated packages have been patched to correct this issue.


Update the affected nginx package.

Plugin Details

Severity: Medium

ID: 58522

File Name: mandriva_MDVSA-2012-043.nasl

Version: $Revision: 1.5 $

Type: local

Published: 2012/03/29

Modified: 2013/06/01

Dependencies: 12634

Risk Information

Risk Factor: Medium


Base Score: 5

Vector: CVSS2#AV:N/AC:L/Au:N/C:P/I:N/A:N

Vulnerability Information

CPE: p-cpe:/a:mandriva:linux:nginx, cpe:/o:mandriva:linux:2010.1, cpe:/o:mandriva:linux:2011

Required KB Items: Host/local_checks_enabled, Host/cpu, Host/Mandrake/release, Host/Mandrake/rpm-list

Patch Publication Date: 2012/03/29

Reference Information

CVE: CVE-2012-1180

MDVSA: 2012:043